PulseAudio 16.1

Data Fields
pa_client_info Struct Reference

Stores information about clients. More...

`#include <introspect.h>`

## Data Fields
uint32_t | index
| Index of this client. More...
const char * | name
| Name of this client. More...
uint32_t | owner_module
| Index of the owning module, or PA_INVALID_INDEX. More...
const char * | driver
| Driver name. More...
pa_proplist * | proplist
| Property list. More...

## Detailed Description

Stores information about clients.

Please note that this structure can be extended as part of evolutionary API updates at any time in any new release.

## Field Documentation

## ◆ driver

const char* pa_client_info::driver

Driver name.

## ◆ index

uint32_t pa_client_info::index

Index of this client.

## ◆ name

const char* pa_client_info::name

Name of this client.

## ◆ owner_module

uint32_t pa_client_info::owner_module

Index of the owning module, or PA_INVALID_INDEX.

## ◆ proplist

pa_proplist* pa_client_info::proplist

Property list.

Since
  0.9.11

The documentation for this struct was generated from the following file:

- introspect.h